Apache Tomcat 7.0.42

## org.apache.jasper.el
Class ELResolverImpl

    java.lang.Object
      javax.el.ELResolver
          org.apache.jasper.el.ELResolverImpl

Deprecated.

    @Deprecated
    public final class ELResolverImpl

extends ELResolver

Field Summary

Fields inherited from class javax.el.ELResolver
`RESOLVABLE_AT_DESIGN_TIME, TYPE`

Constructor Summary
`ELResolverImpl(VariableResolver variableResolver)` Deprecated.

Method Summary
`Class<?>` `getCommonPropertyType(ELContext context, Object base)` Deprecated.
`static ELResolver` `getDefaultResolver()` Deprecated. Use `ELContextImpl.getDefaultResolver()` instead. This method will be removed in Tomcat 8.0.x onwards.
`Iterator<FeatureDescriptor>` `getFeatureDescriptors(ELContext context, Object base)` Deprecated.
`Class<?>` `getType(ELContext context, Object base, Object property)` Deprecated.
`Object` `getValue(ELContext context, Object base, Object property)` Deprecated.
`boolean` `isReadOnly(ELContext context, Object base, Object property)` Deprecated.
`void` `setValue(ELContext context, Object base, Object property, Object value)` Deprecated.

Methods inherited from class javax.el.ELResolver
`invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELResolverImpl

    public ELResolverImpl(VariableResolver variableResolver)

  Deprecated.

Method Detail

### getValue

    public Object getValue(ELContext context,
                           Object base,
                           Object property)
                    throws NullPointerException,
                           PropertyNotFoundException,
                           ELException

  Deprecated.
  Specified by:
    `getValue` in class `ELResolver`
  Throws:
    `NullPointerException`
    `PropertyNotFoundException`
    `ELException`

### getType

    public Class<?> getType(ELContext context,
                            Object base,
                            Object property)
                     throws NullPointerException,
                            PropertyNotFoundException,
                            ELException

  Deprecated.
  Specified by:
    `getType` in class `ELResolver`
  Throws:
    `NullPointerException`
    `PropertyNotFoundException`
    `ELException`

### setValue

    public void setValue(ELContext context,
                         Object base,
                         Object property,
                         Object value)
                  throws NullPointerException,
                         PropertyNotFoundException,
                         PropertyNotWritableException,
                         ELException

  Deprecated.
  Specified by:
    `setValue` in class `ELResolver`
  Throws:
    `NullPointerException`
    `PropertyNotFoundException`
    `PropertyNotWritableException`
    `ELException`

### isReadOnly

    public boolean isReadOnly(ELContext context,
                              Object base,
                              Object property)
                       throws NullPointerException,
                              PropertyNotFoundException,
                              ELException

  Deprecated.
  Specified by:
    `isReadOnly` in class `ELResolver`
  Throws:
    `NullPointerException`
    `PropertyNotFoundException`
    `ELException`

### getFeatureDescriptors

    public Iterator<FeatureDescriptor> getFeatureDescriptors(ELContext context,
                                                             Object base)

  Deprecated.
  Specified by:
    `getFeatureDescriptors` in class `ELResolver`

### getCommonPropertyType

    public Class<?> getCommonPropertyType(ELContext context,
                                          Object base)

  Deprecated.
  Specified by:
    `getCommonPropertyType` in class `ELResolver`

### getDefaultResolver

    @Deprecated
    public static ELResolver getDefaultResolver()

  Deprecated. Use `ELContextImpl.getDefaultResolver()` instead. This method will be removed in Tomcat 8.0.x onwards.

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.